import { AutocompleteInteraction, CacheType, ChatInputCommandInteraction, Collection, SlashCommandBuilder } from 'discord.js'
import syncUsers from './syncUsers'
import Alert from './Alert'
import Message from './Message'
import Exec from './Exec'
import syncMessages from './syncMessages'
import setChatChannelId from './setChatChannelId'
import throwChatTimestamp from './throwChatTimestamp'
import UserMessage from './UserMessage'
import Link from './Link'
import RemoveLink from './RemoveLink'

export type Command = {
  data: SlashCommandBuilder;
  execute(interaction: ChatInputCommandInteraction<CacheType>);
  autocomplete?(interaction: AutocompleteInteraction<CacheType>);
}

const commands = new Collection<string, Command>()

commands.set(syncUsers.data.name, syncUsers)
commands.set(Alert.data.name, Alert)
commands.set(Message.data.name, Message)
commands.set(Exec.data.name, Exec)
commands.set(syncMessages.data.name, syncMessages)
commands.set(setChatChannelId.data.name, setChatChannelId)
commands.set(throwChatTimestamp.data.name, throwChatTimestamp)
commands.set(UserMessage.data.name, UserMessage)
commands.set(Link.data.name, Link)
commands.set(RemoveLink.data.name, RemoveLink)

export default commands
